'use strict';
/*@
Ox.CalendarDate <f> CalendarDate
    () ->              <o> CalendarData object
    (options) ->       <o> CalendarData object
    options <o> Options object
        start <d>   start date
        stop  <d>   stop date
@*/
// fixme: unused
Ox.CalendarDate = function(options) {

    var self = {},
        that = this;

    ['start', 'stop'].forEach(function(v) {
        var date = self.options[v];
        if (Ox.isString(date)) {
            date = new Date(self.options[v]);
        }
    });

    self.duration = self.options.stop - self.options.start;

    that.format = function() {

    };

    that.formatDuration = function() {
        
    };

    return that;

};
